Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044410
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-06-18 12:172020-07-09 11:40
ReporterLeyreView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression levelProduction - Confirmed Stable
Regression date2019-11-06
Regression introduced in releaseRR20Q1
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4369b93ea8521399ca95e53ce68e2187ea037a03 [^]
Triggers an Emergency PackNo
Summary

0044410: Incorrect cash-up values: "Total to Keep" and "Total to Deposit".

DescriptionIncorrect cash-up values: "Total to Keep" and "Total to Deposit".
Steps To ReproduceBackend:
https://livebuilds.openbravo.com/retail_pi_pgsql/ [^]

1. Configure the payment methods of a Touchpoint Type -> Cash Up section(see attached image backend.png):
   Count Payment in Cash Up = Y
   Automate Movement to Other Account = Y
   Allow Not to Move = Y
   Rest of the fields = N

Web POS:
https://livebuilds.openbravo.com/retail_pi_pgsql/web/org.openbravo.retail.posterminal/?terminal=VBS-1 [^]

1. Open a Touchpoint, which belongs to the previous Touchpoint Type.
2. Finish and pay a receipt. In our example: product price = 254.10 and payment method = cash.
3. Cash up

Actual result: See attached image webpos.png and verify that the Total to Keep = 0.00 and the Total to Deposit = 254.10

Expected result: Total to Keep = 254.10 and Total to Deposit = 0.00.
TagsNo tags attached.
Attached Filespng file icon backend.png [^] (182,550 bytes) 2020-06-18 12:17


png file icon webpos.png [^] (128,961 bytes) 2020-06-18 12:17

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0044386 closedranjith_qualiantech_com Error in Cash Up when "Automate Movement to Other Account" is not selected 
depends on backport 0044555RR20Q3 resolvedranjith_qualiantech_com Incorrect cash-up values: "Total to Keep" and "Total to Deposit". 
depends on backport 0044556RR20Q2.1 resolvedranjith_qualiantech_com Incorrect cash-up values: "Total to Keep" and "Total to Deposit". 
depends on backport 0044557RR20Q1.3 resolvedranjith_qualiantech_com Incorrect cash-up values: "Total to Keep" and "Total to Deposit". 
caused by defect 0042108 closedranjith_qualiantech_com Amount to keep can be higher than total counted for a payment method in cash up 

-  Notes
(0121257)
hgbot (developer)
2020-07-05 18:01

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/28 [^]
(0121327)
hgbot (developer)
2020-07-08 12:36

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: b4abf5e8e48327cdda49cfa5219c6dbdada3c45c
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-07-08T16:05:57+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/b4abf5e8e48327cdda49cfa5219c6dbdada3c45c [^]

Fixed issue-44410: Payment method counted should be used to update the qtyToKeep

* If CountCash is not configured for Payment method, then qtyToKeep will be updated by counted instead of foreignCounted

---
M web/org.openbravo.retail.posterminal/js/closecash/model/closecash-model.js
---

- Issue History
Date Modified Username Field Change
2020-06-18 12:17 Leyre New Issue
2020-06-18 12:17 Leyre Assigned To => Retail
2020-06-18 12:17 Leyre Triggers an Emergency Pack => No
2020-06-18 12:17 Leyre File Added: backend.png
2020-06-18 12:17 Leyre File Added: webpos.png
2020-06-26 08:43 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-07-02 13:34 ranjith_qualiantech_com Status new => scheduled
2020-07-03 10:56 ranjith_qualiantech_com Regression level => Production - Confirmed Stable
2020-07-03 10:56 ranjith_qualiantech_com Regression date => 2019-11-06
2020-07-03 10:56 ranjith_qualiantech_com Regression introduced in release => RR20Q1
2020-07-03 10:56 ranjith_qualiantech_com Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4369b93ea8521399ca95e53ce68e2187ea037a03 [^]
2020-07-03 11:00 ranjith_qualiantech_com Relationship added caused by 0042108
2020-07-05 18:01 hgbot Note Added: 0121257
2020-07-06 07:56 marvintm Status scheduled => acknowledged
2020-07-06 07:56 marvintm Status acknowledged => scheduled
2020-07-08 12:36 hgbot Resolution open => fixed
2020-07-08 12:36 hgbot Status scheduled => closed
2020-07-08 12:36 hgbot Note Added: 0121327
2020-07-09 10:12 Leyre Relationship added related to 0044386
2020-07-09 11:40 ranjith_qualiantech_com Fixed in Version => RR20Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker